from odoo import api, models
from odoo.addons.saas_worker import metabase
from odoo.addons.saas_worker.util import version_lte


if version_lte("saas~16.3"):
    class ResCompany(models.Model):
        _inherit = 'res.company'

        @api.model
        def action_open_account_onboarding_domain_name(self):
            """ Onboarding step for custom domain name. """
            return {
                'type': 'ir.actions.act_url',
                'url':  '/saas_trial/my_dns',
                'target': 'new',
            }

        def get_and_update_website_sale_dashboard_onboarding_state(self):
            states = super().get_and_update_website_sale_dashboard_onboarding_state()
            custom_domains = metabase.get_hostnames(self.env.cr.dbname)
            states['custom_domain_onboarding_state'] = 'done' if custom_domains else 'not_done'
            return states
